@use '@angular/material' as mat;
@use '@angular/material/theming';
@use 'partials/colors';
@use 'partials/palette';

body {
  .mat-list-base,
  .mat-list-base[dense] {
    padding-top: 0px;
  }

  .mat-list-base {
    .mat-list-item,
    .mat-list-option {
      &.mat-list-item-with-avatar,
      &.mat-list-item.mat-list-option {
        .mat-list-item-content-reverse .mat-list-text {
          height: inherit;
          padding-right: 0;
        }
      }
    }
  }

  // TODO:
  // brighten hover effect of all selection lists
  .mat-list-option,
  .mat-expansion-panel,
  .mat-list-single-selected-option,
  .mat-list-single-selected-option .mat-nav-list .mat-list-item,
  .mat-expansion-panel-header .mat-action-list .mat-list-item {
    &:hover {
      background-color: map_get(colors.$emp-gray, 200);
      color: map_get(colors.$emp-dark-gray, 500);
    }
  }

  // TODO: used in app-item and examinations components only
  .mat-list-single-selected-option {
    background: mat.get-color-from-palette(palette.$background, hover, 0.22);
  }

  // used by annotations.comp
  // remove hover effect for button-list-hover element
  .mat-list-option.no-hover-effect,
  .mat-nav-list .mat-list-item,
  .mat-action-list .mat-list-item {
    &:active,
    &:hover,
    &:focus {
      background-color: map_get(colors.$emp-gray, 200) !important;
      color: map_get(colors.$emp-dark-gray, 500) !important;
    }
  }

  .mat-list-item-disabled {
    background-color: map_get(colors.$emp-dark-gray, 500);
  }

  // fixes ghosting problem in slide midi view of
  // focusing the wrong element
  .mat-list-option,
  .mat-nav-list .mat-list-item,
  .mat-action-list .mat-list-item {
    &:focus {
      background-color: transparent;
    }
  }

  .mat-tooltip {
    white-space: pre-line;
  }
}
